Payment channels
Admin settings for which gateway each payment method uses and each gateways merchant parameters; secrets are write-only.
payment-channelsBillingAuthentication: Admin only2 endpointsGet payment channel settings
GET
/api/v2/payment-channelsAuthentication: Admin only
Update payment channels
PUT
/api/v2/payment-channelsAuthentication: Admin only
Request body application/json
| Field | Type | Required | Description |
|---|---|---|---|
| alipay | AlipayGateway | — | Merchant parameters of the Alipay gateway. |
| codepay | CodepayGateway | — | Merchant parameters of the Codepay gateway. |
| default_method | string | — | The method selected by default on the recharge page; transfer = bank transfer (transfer must be enabled). |
| epay | EpayGateway | — | Merchant parameters of the Epay gateway. |
| methods | PaymentMethodSet | — | Enable switch and gateway for each online payment method. |
| notify_base | string | — | Root URL of the panel reachable by the gateways (for example https://panel.example.com); callback URLs are built from it, and empty = orders cannot be placed. |
| return_url | string | — | Page to return to after payment (used by Alipay desktop website payment and Epay); empty = no redirect. |
| transfer | PaymentTransfer | — | Offline transfer settings. |
| wxpay | WxpayGateway | — | Merchant parameters of the WeChat Pay gateway. |
Payment channels object
| Field | Type | Required | Description |
|---|---|---|---|
| alipay | AlipayGateway | — | Merchant parameters of the Alipay gateway. |
| codepay | CodepayGateway | — | Merchant parameters of the Codepay gateway. |
| default_method | string | — | The method selected by default on the recharge page; transfer = bank transfer (transfer must be enabled). |
| epay | EpayGateway | — | Merchant parameters of the Epay gateway. |
| methods | PaymentMethodSet | — | Enable switch and gateway for each online payment method. |
| notify_base | string | — | Root URL of the panel reachable by the gateways (for example https://panel.example.com); callback URLs are built from it, and empty = orders cannot be placed. |
| return_url | string | — | Page to return to after payment (used by Alipay desktop website payment and Epay); empty = no redirect. |
| transfer | PaymentTransfer | — | Offline transfer settings. |
| wxpay | WxpayGateway | — | Merchant parameters of the WeChat Pay gateway. |